Когда я add-migration получил это предупреждение:

The EF Core tools version '2.1.1-rtm-30846' is older than that of the runtime '2.1.4-rtm-31024'. Update the tools for the latest features and bug fixes.

Я не нашел никакой информации о том, как это обновить, кроме обновления DotNET Core SDK, но у меня это не сработало.

40
stefan.stt 8 Окт 2018 в 15:21

2 ответа

Лучший ответ

Обновите инструменты с помощью консоли диспетчера пакетов:

Install-Package Microsoft.EntityFrameworkCore.Tools -Version 2.1.4

См. эту ссылку https://www.nuget.org/packages/Microsoft.EntityFrameworkCore.Tools /

61
S.Serpooshan 4 Дек 2018 в 06:57

Если вы используете командную строку (CMD, Powershell, bash и т. Д.), Вы можете легко ввести следующее, чтобы обновить до последней версии:

dotnet tool update --global dotnet-ef

Если вы хотите выполнить обновление до очень конкретной версии, сделайте следующее:

dotnet tool update --global dotnet-ef VERSION_NUMBER

Примере:

dotnet tool update --global dotnet-ef --version 3.1.0
8
Daniel Chikaka 26 Дек 2019 в 05:22